﻿using Infragistics.Win.UltraWinDataSource;
using Infragistics.Win.UltraWinGrid;
using System.Windows.Forms;

namespace UltraGridTester
{
    public partial class Form1 : Form
    {
        private UltraDataSource m_source;
        private UltraGrid m_grid;

        public Form1()
        {
            InitializeComponent();

            this.m_source = new UltraDataSource();

            UltraDataColumnsCollection dataColumns = this.m_source.Band.Columns;

            for (int i = 0; i <= 100; i++)
            {
                dataColumns.Add(i.ToString());
            }

            this.m_source.CellDataRequested += this.Source_CellDataRequested;

            this.m_grid = new UltraGrid();
            this.m_grid.DataSource = this.m_source;
            this.m_grid.Dock = DockStyle.Fill;

            this.m_grid.InitializeLayout += this.Grid_InitializeLayout;

            this.Controls.Add(this.m_grid);
        }

        private void Source_CellDataRequested(object sender, CellDataRequestedEventArgs e)
        {
            e.Data = string.Format("({0}, {1})", e.Row.Index, e.Column.Index);
        }

        private void Grid_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            e.Layout.Override.CellClickAction = CellClickAction.CellSelect;

            this.m_source.Rows.SetCount(500000);
        }
    }
}